# Get Region Detail

| **API URL**     | {{url}}/admin-service/region-details |
| --------------- | ------------------------------------ |
| **Method**      | POST                                 |
| **Description** | Get region details.                  |

#### **Sample Input** <a href="#getregiondetails-v2-sampleinput" id="getregiondetails-v2-sampleinput"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| countryId              | Integer  | Yes           | Country id                                                                                                                              |
| searchTerm             | String   | No            | Search Term to filter data                                                                                                              |
| skip                   | Integer  | No            | Skip data to filterdata                                                                                                                 |
| limit                  | Integer  | Yes           | Limit to fetch data                                                                                                                     |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | web                                                                                                                                     |

```
{
  countryId: 1, 
  searchTerm: "", 
  skip: 0, 
  limit: 10
}
```

#### **Sample Output** <a href="#getregiondetails-v2-sampleoutput" id="getregiondetails-v2-sampleoutput"></a>

| **Field Name**   | **Type** | **Comments**      |
| ---------------- | -------- | ----------------- |
| message          | String   | Got Country       |
| status           | String   | Menu status       |
| districtid       | Integer  | District id       |
| countryname      | String   | Country Name      |
| chiefdomname     | String   | Chiefdom Name     |
| chiefdomid       | Integer  | Chiefdom id       |
| countryid        | Integer  | Country id        |
| countrytenantid  | Integer  | countrytenantid   |
| districttenantid | Integer  | Districttenant id |
| villageid        | Integer  | Village id        |
| districtname     | String   | District Name     |
| villagename      | String   | Village Name      |
| chiefdomtenantid | Integer  | Chiefdom tenantid |

```
{
    "message": "Got Country.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "districtid": 1,
            "countryname": "Kenya",
            "chiefdomname": "Beneto subcounty",
            "chiefdomid": 1,
            "countrycode": null,
            "countryid": 1,
            "villagetype": null,
            "countrytenantid": 1,
            "districttenantid": 1,
            "villageid": 1,
            "chiefdomcode": null,
            "districtname": "Bento county",
            "villagename": "beneto v",
            "districtcode": null,
            "villagecode": null,
            "chiefdomtenantid": 1
        },
        {
            "districtid": 2,
            "countryname": "Kenya",
            "chiefdomname": "Beneto subcounty",
            "chiefdomid": 2,
            "countrycode": null,
            "countryid": 2,
            "villagetype": null,
            "countrytenantid": 2,
            "districttenantid": 2,
            "villageid": 2,
            "chiefdomcode": null,
            "districtname": "Bento county",
            "districtcode": null,
            "villagecode": null,
            "villagename": "beneto v1",
            "chiefdomtenantid": 2
        }
    ],
    "responseCode": 200,
    "totalCount": 77
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/admin-services/region/get-region-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
